=== debian/changelog ===
martchus-cpp-utilities (5.11.1-1) unstable; urgency=medium

  [ Hannah Rittich ]
  * Initial release. Closes: #998178

 -- Nicholas D Steeves <sten@debian.org>  Thu, 10 Feb 2022 09:35:10 -0500
