=== debian/changelog ===
martchus-cpp-utilities (5.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0001-namespace.patch (merged upstream).

 -- Nicholas D Steeves <sten@debian.org>  Wed, 23 Feb 2022 19:59:10 -0500
