=== debian/control ===
Source: martchus-cpp-utilities
Section: libs
Priority: optional
Maintainer: Hannah Rittich <void@rittich.net>
Uploaders: Nicholas D Steeves <sten@debian.org>
Build-Depends: debhelper-compat (= 13), cmake
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/Martchus/cpp-utilities
Vcs-Browser: https://salsa.debian.org/debian/cpp-utilities
Vcs-Git: https://salsa.debian.org/debian/cpp-utilities.git

Package: libmartchus-c++utilities5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: useful C++ classes and routines used by Martchus' applications
 Martchus-cpp-utilities is a library that contains helpers for:
   * parsing command-line arguments and providing Bash completions
   * working with dates and times
   * converting primitive data types to byte-buffers, and vice versa
   (eg, between litte-endian and big-endian)
   * common string conversions/operations
   * using standard IO streams
   * using SFINAE by providing additional traits (eg, for checking whether a
   type is iteratable)
   * testing with *CppUnit*
   * CMake, with convenient modules and templates
 .
 It also provides the following convenience functions and data structures:
   * min() and max(), for any number of arguments
   * digitsum(), factorial(), powerModulo(), inverseModulo(), and orderModulo()
   * Damerau–Levenshtein distance
   * *N*-dimensional arrays

Package: libmartchus-c++utilities-dev
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}, libmartchus-c++utilities5(= ${binary:Version})
Section: libdevel
Description: useful C++ classes and routines used by Martchus' applications (headers)
 Martchus-cpp-utilities is a library that contains helpers for:
   * parsing command-line arguments and providing Bash completions
   * working with dates and times
   * converting primitive data types to byte-buffers, and vice versa
   (eg, between litte-endian and big-endian)
   * common string conversions/operations
   * using standard IO streams
   * using SFINAE by providing additional traits (eg, for checking whether a
   type is iteratable)
   * testing with *CppUnit*
   * CMake, with convenient modules and templates
 .
 It also provides the following convenience functions and data structures:
   * min() and max(), for any number of arguments
   * digitsum(), factorial(), powerModulo(), inverseModulo(), and orderModulo()
   * Damerau–Levenshtein distance
   * *N*-dimensional arrays
 .
 This is the development version of the library. You will need this only if
 you intend to compile programs that use this library.
