=== debian/watch ===
version=4
https://github.com/Martchus/cpp-utilities/releases /Martchus/cpp-utilities/archive/refs/tags/v(.+)\.tar\.gz
