## martchus-cpp-utilities 5.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -114,7 +114,7 @@
 set(META_APP_URL "https://github.com/${META_APP_AUTHOR}/${META_PROJECT_NAME}")
 set(META_APP_DESCRIPTION "Useful C++ classes and routines such as argument parser, IO and conversion utilities")
 set(META_VERSION_MAJOR 5)
-set(META_VERSION_MINOR 13)
+set(META_VERSION_MINOR 14)
 set(META_VERSION_PATCH 0)
 
 # find required 3rd party libraries
