=== debian/changelog ===
martchus-cpp-utilities (5.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file with upstream changes.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 08 Apr 2022 22:15:32 -0400

martchus-cpp-utilities (5.13.0-2) unstable; urgency=medium

  * Fix VCS links.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 11 Mar 2022 20:21:32 -0500
