=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://github.com/Martchus/cpp-utilities
-Vcs-Browser: https://salsa.debian.org/debian/cpp-utilities
-Vcs-Git: https://salsa.debian.org/debian/cpp-utilities.git
+Vcs-Browser: https://salsa.debian.org/debian/martchus-cpp-utilities
+Vcs-Git: https://salsa.debian.org/debian/martchus-cpp-utilities.git
 
 Package: libmartchus-c++utilities5
 Architecture: any
