=== debian/changelog ===
martchus-cpp-utilities (5.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to copyright file.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 19 Aug 2022 18:02:44 -0400
