=== debian/changelog ===
martchus-cpp-utilities (5.19.0-1) unstable; urgency=medium

  * New upstream release.
  * Swap Uploader and Maintainer.  Hannah Rittich has been MIA since December
    2021.  This action will be reverted upon confirmation of intent to
    maintain martchus-cpp-utilities.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 22 Sep 2022 12:34:25 -0400
