## martchus-cpp-utilities 5.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -77,6 +77,7 @@
     cmake/modules/LibraryTarget.cmake
     cmake/modules/TestUtilities.cmake
     cmake/modules/TestTarget.cmake
+    cmake/modules/AppUtilities.cmake
     cmake/modules/AppTarget.cmake
     cmake/modules/WindowsResources.cmake
     cmake/modules/TemplateFinder.cmake
@@ -114,7 +115,7 @@
 set(META_APP_URL "https://github.com/${META_APP_AUTHOR}/${META_PROJECT_NAME}")
 set(META_APP_DESCRIPTION "Useful C++ classes and routines such as argument parser, IO and conversion utilities")
 set(META_VERSION_MAJOR 5)
-set(META_VERSION_MINOR 19)
+set(META_VERSION_MINOR 20)
 set(META_VERSION_PATCH 0)
 
 # find required 3rd party libraries
