=== debian/changelog ===
martchus-cpp-utilities (5.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix watch file, because Github broke the releases mechanism.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 15 Nov 2022 16:25:48 -0500
