=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: martchus-cpp-utilities
 Section: libs
 Priority: optional
-Maintainer: Hannah Rittich <void@rittich.net>
-Uploaders: Nicholas D Steeves <sten@debian.org>
+Maintainer: Nicholas D Steeves <sten@debian.org>
+Uploaders: Hannah Rittich <void@rittich.net>
 Build-Depends: debhelper-compat (= 13), cmake
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
