=== debian/watch ===
version=4
https://github.com/Martchus/cpp-utilities/tags \
  .*/v?(\d\S+)\.tar\.gz
