## martchus-cpp-utilities 5.24.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.3.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.17.0 FATAL_ERROR)
 
 project(c++utilities)
 
@@ -84,6 +84,7 @@
     cmake/modules/Doxygen.cmake
     cmake/modules/ListToString.cmake
     cmake/modules/ShellCompletion.cmake
+    cmake/modules/DevelUtilities.cmake
     cmake/modules/3rdParty.cmake)
 set(CMAKE_TEMPLATE_FILES
     cmake/templates/bash-completion.sh.in
@@ -97,9 +98,13 @@
     cmake/templates/template.pc.in)
 set(SCRIPT_FILES)
 if (MINGW)
-    list(APPEND CMAKE_TEMPLATE_FILES cmake/templates/windows.rc.in)
     list(APPEND SCRIPT_FILES scripts/wine.sh)
 endif ()
+if (WIN32)
+    list(APPEND CMAKE_TEMPLATE_FILES cmake/templates/windows.rc.in cmake/templates/windows-cli-wrapper.rc.in
+         cmake/templates/cli-wrapper.cpp)
+endif ()
+set(EXCLUDED_FILES cmake/templates/cli-wrapper.cpp)
 
 set(DOC_FILES README.md doc/buildvariables.md doc/testapplication.md)
 set(EXTRA_FILES tests/calculateoverallcoverage.awk coding-style.clang-format)
@@ -115,14 +120,15 @@
 set(META_APP_URL "https://github.com/${META_APP_AUTHOR}/${META_PROJECT_NAME}")
 set(META_APP_DESCRIPTION "Useful C++ classes and routines such as argument parser, IO and conversion utilities")
 set(META_VERSION_MAJOR 5)
-set(META_VERSION_MINOR 20)
-set(META_VERSION_PATCH 0)
+set(META_VERSION_MINOR 24)
+set(META_VERSION_PATCH 5)
 
 # find required 3rd party libraries
 include(3rdParty)
 use_iconv(AUTO_LINKAGE REQUIRED)
 
 # configure use of native file buffer and its backend implementation if enabled
+set(REQUIRED_BOOST_COMPONENTS "")
 set(USE_NATIVE_FILE_BUFFER_BY_DEFAULT OFF)
 if (WIN32
     OR ANDROID
@@ -152,7 +158,7 @@
         endforeach ()
     else ()
         message(STATUS "Using boost::iostreams::stream_buffer<boost::iostreams::file_descriptor_sink> for NativeFileStream")
-        use_package(TARGET_NAME Boost::iostreams PACKAGE_NAME Boost PACKAGE_ARGS "REQUIRED;COMPONENTS;iostreams")
+        list(APPEND REQUIRED_BOOST_COMPONENTS iostreams)
         foreach (NATIVE_FILE_STREAM_IMPL_FILE ${NATIVE_FILE_STREAM_IMPL_FILES})
             set_property(
                 SOURCE ${NATIVE_FILE_STREAM_IMPL_FILE}
@@ -164,6 +170,26 @@
     message(STATUS "Using std::fstream for NativeFileStream")
 endif ()
 
+# configure use of Boost.Process for launching test applications on Windows
+if (WIN32)
+    option(USE_BOOST_PROCESS "enables use of Boost.Process to launch test applications" ON)
+    if (USE_BOOST_PROCESS)
+        list(APPEND REQUIRED_BOOST_COMPONENTS filesystem)
+        list(APPEND META_PUBLIC_COMPILE_DEFINITIONS ${META_PROJECT_VARNAME}_BOOST_PROCESS)
+        list(APPEND PRIVATE_LIBRARIES ws2_32) # needed by Boost.Asio
+        use_package(TARGET_NAME Threads::Threads PACKAGE_NAME Threads PACKAGE_ARGS REQUIRED)
+    endif ()
+endif ()
+
+# configure usage of Boost
+if (REQUIRED_BOOST_COMPONENTS)
+    set(BOOST_ARGS REQUIRED COMPONENTS ${REQUIRED_BOOST_COMPONENTS})
+    use_package(TARGET_NAME Boost::boost PACKAGE_NAME Boost PACKAGE_ARGS "${BOOST_ARGS}")
+    foreach (COMPONENT ${REQUIRED_BOOST_COMPONENTS})
+        use_package(TARGET_NAME Boost::${COMPONENT} PACKAGE_NAME Boost PACKAGE_ARGS "${BOOST_ARGS}")
+    endforeach ()
+endif ()
+
 # configure required libraries for std::filesystem
 option(USE_STANDARD_FILESYSTEM "uses std::filesystem; if disabled Bash completion for files and directories is not working"
        ON)
@@ -194,6 +220,13 @@
         PROPERTY COMPILE_DEFINITIONS ${META_PROJECT_VARNAME}_NO_THREAD_LOCAL)
 endif ()
 
+# configure use of platform-specific APIs for optimizing CopyHelper
+option(USE_PLATFORM_SPECIFIC_API_FOR_OPTIMIZING_COPY_HELPER
+       "enables use of platform-specific APIs for optimizing CopyHelper" OFF)
+if (USE_PLATFORM_SPECIFIC_API_FOR_OPTIMIZING_COPY_HELPER)
+    list(APPEND META_PUBLIC_COMPILE_DEFINITIONS ${META_PROJECT_VARNAME}_USE_PLATFORM_SPECIFIC_API_FOR_OPTIMIZING_COPY_HELPER)
+endif ()
+
 # include modules to apply configuration
 include(BasicConfig)
 include(WindowsResources)
