=== debian/changelog ===
martchus-cpp-utilities (5.24.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop Hannah Rittich, who has been MIA for two years, from Uploaders.
  * Update copyright file with upstream changes, and update my copyright
    years.
  * Update standards version to 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 16 Jan 2024 18:35:10 -0500

martchus-cpp-utilities (5.24.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Nicholas D Steeves ]
  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 12 Jul 2023 15:55:30 -0400
