=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Nicholas D Steeves <sten@debian.org>
-Uploaders: Hannah Rittich <void@rittich.net>
 Build-Depends: debhelper-compat (= 13), cmake
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/Martchus/cpp-utilities
 Vcs-Browser: https://salsa.debian.org/debian/martchus-cpp-utilities
 Vcs-Git: https://salsa.debian.org/debian/martchus-cpp-utilities.git
