## martchus-cpp-utilities 5.24.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -121,7 +121,7 @@
 set(META_APP_DESCRIPTION "Useful C++ classes and routines such as argument parser, IO and conversion utilities")
 set(META_VERSION_MAJOR 5)
 set(META_VERSION_MINOR 24)
-set(META_VERSION_PATCH 5)
+set(META_VERSION_PATCH 7)
 
 # find required 3rd party libraries
 include(3rdParty)
