=== debian/changelog ===
martchus-cpp-utilities (5.24.7-1) unstable; urgency=medium

  * Acknowledge NMU.
  * New upstream release.
  * Update standards version to 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Thu, 25 Apr 2024 19:22:11 -0400

martchus-cpp-utilities (5.24.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062843

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 11:12:30 +0000
