## martchus-cpp-utilities 5.24.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -96,10 +96,6 @@
     cmake/templates/global.h.in
     cmake/templates/version.h.in
     cmake/templates/template.pc.in)
-set(SCRIPT_FILES)
-if (MINGW)
-    list(APPEND SCRIPT_FILES scripts/wine.sh)
-endif ()
 if (WIN32)
     list(APPEND CMAKE_TEMPLATE_FILES cmake/templates/windows.rc.in cmake/templates/windows-cli-wrapper.rc.in
          cmake/templates/cli-wrapper.cpp)
@@ -121,7 +117,7 @@
 set(META_APP_DESCRIPTION "Useful C++ classes and routines such as argument parser, IO and conversion utilities")
 set(META_VERSION_MAJOR 5)
 set(META_VERSION_MINOR 24)
-set(META_VERSION_PATCH 7)
+set(META_VERSION_PATCH 9)
 
 # find required 3rd party libraries
 include(3rdParty)
