=== debian/changelog ===
martchus-cpp-utilities (5.24.9-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 21 Jun 2024 21:52:59 -0400
