=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Section: libs
 Priority: optional
 Maintainer: Nicholas D Steeves <sten@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), cmake
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Martchus/cpp-utilities
 Vcs-Browser: https://salsa.debian.org/debian/martchus-cpp-utilities
 Vcs-Git: https://salsa.debian.org/debian/martchus-cpp-utilities.git
 
-Package: libmartchus-c++utilities5
+Package: libmartchus-c++utilities5t64
+Provides: ${t64:Provides}
+Replaces: libmartchus-c++utilities5
+Breaks: libmartchus-c++utilities5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -35,7 +38,7 @@
 Package: libmartchus-c++utilities-dev
 Architecture: any
 Multi-Arch: no
-Depends: ${misc:Depends}, libmartchus-c++utilities5(= ${binary:Version})
+Depends: ${misc:Depends}, libmartchus-c++utilities5t64(= ${binary:Version})
 Section: libdevel
 Description: useful C++ classes and routines used by Martchus' applications (headers)
  Martchus-cpp-utilities is a library that contains helpers for:
