## martchus-cpp-utilities 5.27.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -85,7 +85,8 @@
     cmake/modules/ListToString.cmake
     cmake/modules/ShellCompletion.cmake
     cmake/modules/DevelUtilities.cmake
-    cmake/modules/3rdParty.cmake)
+    cmake/modules/3rdParty.cmake
+    cmake/modules/3rdPartyFunctions.cmake)
 set(CMAKE_TEMPLATE_FILES
     cmake/templates/bash-completion.sh.in
     cmake/templates/Config.cmake.in
@@ -116,12 +117,21 @@
 set(META_APP_URL "https://github.com/${META_APP_AUTHOR}/${META_PROJECT_NAME}")
 set(META_APP_DESCRIPTION "Useful C++ classes and routines such as argument parser, IO and conversion utilities")
 set(META_VERSION_MAJOR 5)
-set(META_VERSION_MINOR 24)
-set(META_VERSION_PATCH 9)
+set(META_VERSION_MINOR 27)
+set(META_VERSION_PATCH 3)
 
 # find required 3rd party libraries
 include(3rdParty)
-use_iconv(AUTO_LINKAGE REQUIRED)
+option(USE_ICONV "uses iconv/libiconv; if disabled character set conversions and features depending on it are not available"
+       ON)
+if (USE_ICONV)
+    use_iconv(AUTO_LINKAGE REQUIRED)
+else ()
+    list(APPEND META_PUBLIC_COMPILE_DEFINITIONS ${META_PROJECT_VARNAME}_NO_ICONV)
+endif ()
+
+# do not rely on legacy behavior of FlagEnumClass (TODO v6: remove macro, make new behavior the default)
+list(APPEND META_PRIVATE_COMPILE_DEFINITIONS ${META_PROJECT_VARNAME}_FLAG_ENUM_CLASS_NO_LEGACY_AND)
 
 # configure use of native file buffer and its backend implementation if enabled
 set(REQUIRED_BOOST_COMPONENTS "")
@@ -187,13 +197,30 @@
 endif ()
 
 # configure required libraries for std::filesystem
-option(USE_STANDARD_FILESYSTEM "uses std::filesystem; if disabled Bash completion for files and directories is not working"
-       ON)
+option(USE_STANDARD_FILESYSTEM
+       "uses std::filesystem; if disabled Bash completion for files and directories and archiving utilities are disabled" ON)
 if (USE_STANDARD_FILESYSTEM)
     list(APPEND META_PRIVATE_COMPILE_DEFINITIONS ${META_PROJECT_VARNAME}_USE_STANDARD_FILESYSTEM)
     use_standard_filesystem()
 else ()
-    message(WARNING "The use of std::filesystem has been disabled. Bash completion for files and directories will not work.")
+    message(
+        WARNING
+            "The use of std::filesystem has been disabled. Bash completion for files and directories will not work and archiving utilities are disabled."
+    )
+endif ()
+
+# configure usage of libarchive
+option(USE_LIBARCHIVE "uses libarchive; if disabled archiving utilities will not be available" OFF)
+if (USE_LIBARCHIVE)
+    if (NOT USE_STANDARD_FILESYSTEM)
+        message(FATAL_ERROR "Unable to use USE_LIBARCHIVE without USE_STANDARD_FILESYSTEM.")
+    endif ()
+    use_package(TARGET_NAME LibArchive::LibArchive PACKAGE_NAME LibArchive)
+    list(APPEND HEADER_FILES io/archive.h)
+    list(APPEND SRC_FILES io/archive.cpp)
+    list(APPEND META_PUBLIC_COMPILE_DEFINITIONS ${META_PROJECT_VARNAME}_USE_LIBARCHIVE)
+else ()
+    set(EXCLUDED_FILES io/archive.h io/archive.cpp)
 endif ()
 
 # configure whether escape codes should be enabled by default
@@ -223,8 +250,13 @@
     list(APPEND META_PUBLIC_COMPILE_DEFINITIONS ${META_PROJECT_VARNAME}_USE_PLATFORM_SPECIFIC_API_FOR_OPTIMIZING_COPY_HELPER)
 endif ()
 
-# include modules to apply configuration
+# apply basic configuration
 include(BasicConfig)
+
+# set the package name of c++utilities itself as it is used in the config module template
+set(CPP_UTILITIES_PACKAGE "${NAMESPACE_PREFIX}${META_PROJECT_NAME}${META_CONFIG_SUFFIX}")
+
+# include further modules to apply configuration
 include(WindowsResources)
 include(LibraryTarget)
 include(TestTarget)
