=== debian/changelog ===
martchus-cpp-utilities (5.27.3-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release:
    - Drop 0001-Fix-AppStream-warning-metainfo-filename-cid-mismatch.patch
  * Import updated upstream copyright statements, and update my copyright
    years.
  * Update standards version to 4.7.2 (no changes required).
  * Upload to unstable.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 14 Mar 2025 08:22:58 -0600

martchus-cpp-utilities (5.26.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add 0001-Fix-AppStream-warning-metainfo-filename-cid-mismatch.patch.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 15 Nov 2024 22:41:46 -0500
