=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nicholas D Steeves <sten@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), cmake
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Martchus/cpp-utilities
 Vcs-Browser: https://salsa.debian.org/debian/martchus-cpp-utilities
 Vcs-Git: https://salsa.debian.org/debian/martchus-cpp-utilities.git
