## martchus-cpp-utilities 5.28.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -117,8 +117,8 @@
 set(META_APP_URL "https://github.com/${META_APP_AUTHOR}/${META_PROJECT_NAME}")
 set(META_APP_DESCRIPTION "Useful C++ classes and routines such as argument parser, IO and conversion utilities")
 set(META_VERSION_MAJOR 5)
-set(META_VERSION_MINOR 27)
-set(META_VERSION_PATCH 3)
+set(META_VERSION_MINOR 28)
+set(META_VERSION_PATCH 0)
 
 # find required 3rd party libraries
 include(3rdParty)
