=== debian/changelog ===
martchus-cpp-utilities (5.28.0-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:28:45 +0100

martchus-cpp-utilities (5.28.0-1) unstable; urgency=medium

  * New upstream release.
  * Resolve lintian W: old-fsf-address-in-copyright-file by referring to
    GNU's website.
  * Set upstream metadata fields: Repository.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 04 Apr 2025 21:18:21 -0400
